--
-- Getreide transportable .lua 
-- Specialization Seeding transportable
--
-- www.LS-Landtechnik.de
-- @author  LS-Landtechnik.de & DarkMichl
-- @date:		10/01/11
-- @version:	v1.0
-- @copyright:	LS-Landtechnik.de  & DarkMichl

--  TRIGGER IST IMMER VOLL !!!!!!!!!!!!!!


Seeding = {};

function Seeding.prerequisitesPresent(specializations)
    return true
end;
function Seeding:load(xmlFile)
    self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.triggeruaz#index"));
	table.insert(g_currentMission, SowingMachineFillTrigger:new(self.trigger));
end;
function Seeding:delete()
end;
function Seeding:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Seeding:keyEvent(unicode, sym, modifier, isDown)
end;
function Seeding:update(dt)
end;
function Seeding:draw()
end;

